namespace EVCB_OCPP.Packet.Messages.Basic
{
    public class CallErrorMessage : BaseMessage
    {
        public CallErrorMessage()
        {
            TypeId = 4;
        }
        public string ErrorCode { set; get; }
        public string ErrorDescription { set; get; }
        public string ErrorDetails { set; get; }



        public override string ToString()
        {
            return string.Format("[CallErrorMessage] UniqueId: {0} ErrorCode: {1} ErrorDescription: {2} ErrorDetails: {3} ", Id, ErrorCode,
                            ErrorDescription, ErrorDetails);
        }
    }
}